<?php
/** JIRA Issue List Script
*
* Simple script to generate an simple HTML listing of JIRA Issues from a Private JIRA Instance
* Intended use is to allow indexing of JIRA issues by internal search engines such as Sphider (http://www.sphider.eu/)
*
* Documentation: http://www.bentasker.co.uk/documentation/development-programming/273-allowing-your-internal-search-engine-to-index-jira-issues
*
* @copyright (C) 2014 B Tasker (http://www.bentasker.co.uk). All rights reserved
* @license GNU GPL V2 - See LICENSE
*
* @version 1.2
*
*/

//$tblid=mt_rand();

if (!isset($tblid) || $tblid == 1){
	$tblid='1';
}
?>

<div id='addIssueTop' class='jsAddition'></div>

<table class="issuelistingtable sortable" id="issuelistingtbl<?php echo $tblid;?>">
<tr>
	<th>Key</th><th class='issType'>Type</th><th>Title</th><th>Status</th><th class='issCreated'>Created</th><th class='issAssignee'>Assigned To</th>
</tr>

<!--

$p = array(
    "title" => $issue->title,
    "description" => $issue->description,
    "state" => $issue->state,
    "created" => $issue->created_at,
    "closed" => $issue->closed_at,
    "closed_by" => $issue->closed_by,
    "labels" => $issue->labels,
    "milestone" => $issue->milestone,
    "assignees" => $issue->assignees,
    "author" => $issue->author,
    "type" => $issue->issue_type,
    "assignee" => $issue->assignee,
    "gitlab_url" => $issue->web_url,
    "gitlab_reference" =>  $issue->references->full
);
            
                

-->

<?php foreach ($issues as $issue):?>

	<tr itemscope itemtype="http://schema.org/WebPage">
       <td class='issKey'><a itemprop="url name" href='<?php echo GILSUtils::qs2sef("issue={$issue['gitlab_reference']}");?>'><?php echo "{$issue['short_reference']}"; ?></a></td>
	   <td class='issType type<?php echo $issue['type']; ?>'><?php echo $issue['type']; ?></td>
	   <td class='issSummary' itemprop="description"><?php echo htmlspecialchars($issue['title']); ?></td>
	   <td class='issStatus'><span class="status<?php echo $issue['state']?>"><?php echo $issue['state']; ?></span></td>
	   <td class='issCreated' sorttable_custom_key="<?php echo strtotime($issue['created']); ?>" itemprop="dateCreated"><?php echo $issue['created']; ?></td>
	   <td class='issAssignee' itemprop="contributor"><?php if ($issue['assignee']) {echo GILSUtils::translateUser($issue['assignee']->name);} ?></td>
	</tr>

<?php endforeach; ?>
</table>

<div id='addIssueBottom' class='jsAddition'></div>
<script type="text/javascript">
      var tf = new TableFilter('issuelistingtbl<?php echo $tblid;?>', {
          base_path: '/static/tablefilter/',
          auto_filter: "true",
          col_1: "select",
          col_2: "select",
          col_4: "select",
          col_5: "select",
          paging: true,
          paging_length: 20 
      });

      tf.init();
</script>

