<?php
/** Gitlab Issue List Script
*
* Simple script to generate an simple HTML listing of Gitlab Issues from a Private Gitlab Instance
*
* @copyright (C) 2021 B Tasker (http://www.bentasker.co.uk). All rights reserved
* @license GNU GPL V3 - See LICENSE
*
* @version 1.2
*
*/

defined('listpage') or die;
//print_r($project);
?>
<html>
<head>
<meta name="viewport" content="width=device-width, initial-scale=1">
<title><?php echo htmlspecialchars($project['project']->name_with_namespace); ?></title>
<!-- <link rel="alternate" type="application/json" href="<?php //echo qs2sef("proj={$project->pkey}",".json");?>"> -->

<meta name="description" content="<?php echo htmlentities(utf8_encode($project['project']->description)); ?>" />

<?php require 'head-includes.php'; ?>
</head>
<body itemscope itemtype="http://schema.org/CollectionPage">


<!--sphider_noindex-->

<hr />
<?php if ($project['project']->avatar_url): ?>
<img 
    class='projavatar-small' src='<?php echo GILSUtils::getAvatarUrl($project['project']->avatar_url); ?>' 
    alt="project <?php echo htmlspecialchars($project['project']->name_with_namespace); ?> avatar"
    >
<?php endif; ?>
<h1 itemprop='name'><?php echo htmlspecialchars($project['project']->name_with_namespace);?>: <?php echo htmlspecialchars($project['project']->name) ?></h1>
<hr />
<ul itemprop="breadcrumb" class="breadcrumbs">
        <li><a href="/index.html">Projects</a></li>
        <li><a href="<?php echo GILSUtils::qs2sef("proj={$project['project']->path_with_namespace}");?>"><?php echo htmlspecialchars($project['project']->name_with_namespace);?></a></li>
</ul>
<hr />


<div class="projlinksblock">
    <?php if ($project['has_wiki']) :?>
        <a href="<?php echo GILSUtils::qs2sef("wiki={$project['project']->path_with_namespace}"); ?>">Wiki</a>
    <?php endif; ?>
</div>


<div class='projdesc'>
    <?php
        echo GILSUtils::markdownToHTML($project['project']->description);
        
        
        $issues = $project['issues'];
    ?>
</div>

<div class="gitlablink">
    <a href="<?php echo GILSUtils::forceHTTPS($project['project']->web_url);?>">View in Gitlab</a>
</div>

<hr />
<h3>Issues</h3>

<?php include 'templates/html/issues-table.php'; ?>

<br />
<hr />
<br />

<!--/sphider_noindex-->

</body>
</html>


