<?php
/** Gitlab Issue List Script
*
* Simple script to generate an simple HTML listing of Gitlab Issues using the public API
*
*
* @copyright (C) 2021 B Tasker (http://www.bentasker.co.uk). All rights reserved
* @license GNU GPL V3 - See LICENSE
*
* @version 0.1
*
*/

defined('listpage') or die;
?>
<html>
<head>
<meta name="viewport" content="width=device-width, initial-scale=1">
<link rel="alternate" type="application/json" href="index.json">
<title>Wiki: <?php echo $pages['project']->name_with_namespace; ?></title>
<?php require 'head-includes.php'; ?>
</head>
<body class="homepage">
<!--sphider_noindex-->
<hr />
	<div id='logoarea'></div>
	<h1>Wiki: <?php echo $pages['project']->name_with_namespace; ?></h1>
<hr />


<ul itemprop="breadcrumb" class="breadcrumbs">
        <li><a href="/index.html">Projects</a></li>
        <li><a href="<?php echo GILSUtils::qs2sef("proj={$pages['project']->path_with_namespace}");?>"><?php echo htmlspecialchars($pages['project']->name_with_namespace);?></a></li>      
        <li>Wikis</li>
        <li><a href="<?php echo GILSUtils::qs2sef("wiki={$pages['project']->path_with_namespace}"); ?>">list</a></li>
      
</ul>
<hr />

<p>The following pages are available for browsing</p>

<table class="prjtbl sortable">
  <tr>
    <th>Name</th>
  </tr>

  <?php foreach ($pages['pages'] as $page): ?>
    <tr>
        <td class="wikiname">
            <a 
            href="<?php echo GILSUtils::qs2sef("wiki={$pages['project']->path_with_namespace}&page={$page->slug}"); ?>">
            <?php echo htmlspecialchars($page->title); ?>
            </a></td>
    </tr>
  <?php endforeach; ?>

</table>


</body>
</html>
